RTEMS: cpukit/include/rtems/watchdogdrv.h File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Macros | Functions
watchdogdrv.h File Reference

Go to the source code of this file.

## Macros
#define | WATCHDOG_DRIVER_TABLE_ENTRY { Watchdog_initialize, NULL, NULL, NULL, NULL, Watchdog_control }

## Functions
rtems_device_driver | Watchdog_initialize (rtems_device_major_number major, rtems_device_minor_number minor, void *arguments)
| Watchdog Driver Initialization.
rtems_device_driver | Watchdog_control (rtems_device_major_number major, rtems_device_minor_number minor, void *arguments)
| Watchdog Driver IO Control.

## Detailed Description

This file describes the Watchdog Driver for all boards. A watchdog is a hardware device that will reset the board if not touched in a specific way at a regular interval. It is a simple, yet important, part of many embedded systems.

## Macro Definition Documentation

## ◆ WATCHDOG_DRIVER_TABLE_ENTRY

#define WATCHDOG_DRIVER_TABLE_ENTRY { Watchdog_initialize, NULL, NULL, NULL, NULL, Watchdog_control }

This macro defines the watchdog device driver entry points.

## Function Documentation

## ◆ Watchdog_control()

rtems_device_driver Watchdog_control | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arguments
| ) |  |

Watchdog Driver IO Control.

This method implements the IO Control device driver entry point for the watchdog hardware device.

Parameters

  [in] | major | is the watchdog device major number
  [in] | minor | is the watchdog device minor number
  [in] | arguments | points to device driver arguments

## ◆ Watchdog_initialize()

rtems_device_driver Watchdog_initialize | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arguments
| ) |  |

Watchdog Driver Initialization.

This method initializes the watchdog hardware device. The device should be initialized as DISABLED since BSP initialization may take longer than the timeout period for the watchdog.

Parameters

  [in] | major | is the watchdog device major number
  [in] | minor | is the watchdog device minor number
  [in] | arguments | points to device driver arguments